import Automizer from './automizer';
import ModifyHelper from './helper/modify-helper';
import ModifyShapeHelper from './helper/modify-shape-helper';
import ModifyTableHelper from './helper/modify-table-helper';
import ModifyChartHelper from './helper/modify-chart-helper';
import { TemplateInfo, XmlDocument, XmlElement } from './types/xml-types';
import { AutomizerSummary, ShapeModificationCallback, StatusTracker } from './types/types';
import { ModifyTableParams, TableData, TableRow, TableRowStyle } from './types/table-types';
import { ChartBubble, ChartCategory, ChartData, ChartSeries, ChartValueStyle } from './types/chart-types';
import { Border, Color, ReplaceText, TextStyle, ImageStyle } from './types/modify-types';
import { ShapeCoordinates, ShapeValueStyle } from './types/shape-types';
import { XmlHelper } from './helper/xml-helper';
import ModifyTextHelper from './helper/modify-text-helper';
import ModifyColorHelper from './helper/modify-color-helper';
import { ITemplate } from './interfaces/itemplate';
import { IMaster } from './interfaces/imaster';
import { ISlide } from './interfaces/islide';
import ModifyImageHelper from './helper/modify-image-helper';
import { CmToDxa, DxaToCm } from './helper/modify-helper';
export type { ChartBubble, ChartCategory, ChartSeries, TableData, TableRow, TextStyle, ImageStyle, ModifyTableParams, TableRowStyle, ChartData, ChartValueStyle, Color, Border, ShapeValueStyle, ShapeCoordinates, ReplaceText, };
export { Automizer, XmlHelper, ModifyHelper, ModifyShapeHelper, ModifyTableHelper, ModifyChartHelper, ModifyTextHelper, ModifyColorHelper, ModifyImageHelper, };
export declare const modify: {
    dump: (element: Element | XMLDocument) => void;
    dumpChart: (element: Element | XMLDocument, chart: XMLDocument) => void;
    setAttribute: (tagName: string, attribute: string, value: string | number, count?: number) => (element: XMLDocument) => void;
    setSolidFill: (element: Element) => void;
    setText: (text: string) => (element: Element) => void;
    replaceText: (replaceText: ReplaceText | ReplaceText[], options?: import("./types/modify-types").ReplaceTextOptions) => (element: Element) => void;
    setPosition: (pos: ShapeCoordinates) => (element: Element) => void;
    updatePosition: (pos: ShapeCoordinates) => (element: Element) => void;
    rotateShape: (degrees: number) => (element: Element) => void;
    setTableData: (data: TableData) => (element: Element | XMLDocument) => void;
    adjustHeight: (data: TableData) => (element: Element | XMLDocument) => void;
    adjustWidth: (data: TableData) => (element: Element | XMLDocument) => void;
    setTable: (data: TableData, params?: ModifyTableParams) => (element: Element | XMLDocument) => void;
    setRelationTarget: (filename: string) => (element: Element, arg1: Element) => void;
    setDuotoneFill: (duotoneParams: {
        color?: Color;
        prstClr?: string;
        tint?: number;
        satMod?: number;
    }) => (element: Element) => void;
    setChartData: (data: ChartData) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setAxisRange: (range: import("./types/chart-types").ChartAxisRange) => ShapeModificationCallback;
    setExtendedChartData: (data: ChartData) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setChartVerticalLines: (data: ChartData) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setChartScatter: (data: ChartData) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setChartCombo: (data: ChartData) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setChartBubbles: (data: ChartData) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setPlotArea: (plotArea: ShapeCoordinates) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    setLegendPosition: (legendArea: ShapeCoordinates) => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
    removeChartLegend: () => (element: Element | XMLDocument, chart?: XMLDocument) => void;
    minimizeChartLegend: () => (element: Element | XMLDocument, chart?: XMLDocument, workbook?: import("./types/types").Workbook) => void;
};
export { CmToDxa, DxaToCm };
export type { AutomizerSummary, TemplateInfo, StatusTracker, ShapeModificationCallback, XmlElement, XmlDocument, };
export { ITemplate, IMaster, ISlide };
export default Automizer;
